Bug 1290006 - WARNING: CPU: 2 PID: 1732 at drivers/gpu/drm/i915/i915_gem.c:5269
WARNING: CPU: 2 PID: 1732 at drivers/gpu/drm/i915/i915_gem.c:5269
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-09 08:37 EST by Zhang Yi
Modified: 2016-12-20 11:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 11:50:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zhang Yi 2015-12-09 08:37:40 EST
Description of problem:
WARNING: CPU: 2 PID: 1732 at drivers/gpu/drm/i915/i915_gem.c:5269 

Version-Release number of selected component (if applicable):
4.2.6-301.fc23.x86_64 on W541 laptop

How reproducible:

Steps to Reproduce:
1. Check dmesg

Actual results:

Expected results:

Additional info:
[   19.244239] ------------[ cut here ]------------
[   19.244259] WARNING: CPU: 2 PID: 1732 at drivers/gpu/drm/i915/i915_gem.c:5269 i915_gem_track_fb+0x129/0x140 [i915]()
[   19.244260] WARN_ON(!(old->frontbuffer_bits & frontbuffer_bits))
[   19.244261] Modules linked in:
[   19.244263]  cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_filter ebtable_broute bridge stp llc ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_security ip6table_mangle ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_security iptable_mangle bnep arc4 intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp iTCO_wdt iTCO_vendor_support iwlmvm kvm snd_hda_codec_realtek mac80211 snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_intel btusb snd_hda_codec btrtl uvcvideo iwlwifi btbcm btintel snd_hda_core bluetooth videobuf2_vmalloc
[   19.244289]  snd_hwdep videobuf2_core snd_seq videobuf2_memops v4l2_common snd_seq_device cfg80211 videodev uas joydev usb_storage snd_pcm media mmc_block snd_timer mei_me mei thinkpad_acpi ie31200_edac shpchp edac_core lpc_ich i2c_i801 snd tpm_tis tpm soundcore rfkill nfsd auth_rpcgss nfs_acl lockd grace sunrpc nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper sdhci_pci e1000e sdhci serio_raw drm mmc_core ptp pps_core wmi video
[   19.244312] CPU: 2 PID: 1732 Comm: gnome-shell Not tainted 4.2.6-301.fc23.x86_64 #1
[   19.244313] Hardware name: LENOVO 20EGS0R60A/20EGS0R60A, BIOS GNET72WW (2.20 ) 02/26/2015
[   19.244314]  0000000000000000 00000000ca427173 ffff8804544d3a28 ffffffff817729ea
[   19.244316]  0000000000000000 ffff8804544d3a80 ffff8804544d3a68 ffffffff8109e4b6
[   19.244318]  ffff880465d80000 0000000000000010 ffff880447a19b00 ffff880465f55680
[   19.244319] Call Trace:
[   19.244324]  [<ffffffff817729ea>] dump_stack+0x45/0x57
[   19.244327]  [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
[   19.244329]  [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
[   19.244339]  [<ffffffffa01d5739>] i915_gem_track_fb+0x129/0x140 [i915]
[   19.244353]  [<ffffffffa021c2d7>] intel_prepare_plane_fb+0xe7/0x1a0 [i915]
[   19.244358]  [<ffffffffa0152eb9>] drm_atomic_helper_prepare_planes+0x59/0xe0 [drm_kms_helper]
[   19.244370]  [<ffffffffa021461e>] __intel_set_mode+0x1ae/0xb60 [i915]
[   19.244381]  [<ffffffffa02162df>] ? intel_modeset_compute_config+0x3af/0xb60 [i915]
[   19.244391]  [<ffffffffa021bc86>] intel_crtc_set_config+0x2b6/0x580 [i915]
[   19.244401]  [<ffffffffa0072306>] drm_mode_set_config_internal+0x66/0x100 [drm]
[   19.244409]  [<ffffffffa0076819>] drm_mode_setcrtc+0x3e9/0x500 [drm]
[   19.244414]  [<ffffffffa0067365>] drm_ioctl+0x125/0x610 [drm]
[   19.244421]  [<ffffffffa0076430>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[   19.244423]  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
[   19.244426]  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
[   19.244427]  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
[   19.244430]  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
[   19.244431] ---[ end trace 63c945e46d0f133c ]---
Comment 1 Fedora End Of Life 2016-11-24 09:05:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:50:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.